Subject: Bug#566: X2Go Client for Windows 4.0.2.1 cannon create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-English characters

From: George Trakatelis <[email-masked]>
Date: Mon, 11 Aug 2014 13:51:21 +0300

Package: x2goclient
Version: 4.0.2.1

When I try to connect to a remote server, I cannot get past the pop-up

'Host key verification failed' 

The server is unknown. Do you trust the host key?
Public key hash: xxx.xxx.xxx.xxx:22 -
xx.xx.xx.xx.xx.xx.xx.xx.xx.xx.xx.xx.xx.xx.xx.xx

no matter how many times I click Yes. The pop-up appears again and again.

It seems that x2goclient cannot create the folder C:\Users\<username>\ssh
and the known_hosts file when <username> has non-English characters.

Confirmed that it works fine when <username> is in English.
  
I'm using Greek Windows 8.1 Pro 64-bit and X2Go Client for Windows
4.0.2.1+hotfix1+build3.